TAX_RATE = 0.5

# Determine if adult and display different reactions based on age along with name
# from information entered by the user in function getPersonalInformation()
def actOnPersonalInformation():
    if (age >= 18):
        print("%s you an adult at at %d" %(name,age), end = " ")
    else:
        print("%s you are %d" %(name,age), end = " ")
    print("years old")

# display income,deductions,taxableIncome,tax,afterTaxIncome here
# income and deductions come from the user in function getFinancialData()
# taxableIncome, tax, afterTaxIncome are derived in function calculateTax()
def displayTaxInformation():
    i = -1
    print("\nTAX CALCULATIONS")
    print("Total income $%.1f" %(income))
    print("-<Tax deductions $%.1f>" %(deductions))
    print("Taxable income $%.1f" %(taxableIncome))    
    for i in range(1,24,1):
        print("-", end="")
    print()
    print("-<Taxes paid $%.1f>" %(tax))
    print("After tax income $%.1f" %(afterTaxIncome))   

def getFinancialData():
    income = -1
    deductions = -1
    income = float(input("Income $"))
    deductions = float(input("Income deductions $"))
    return(income,deductions)

def getPersonalInformation():
    age = -1
    name = ""
    age = int(input("Age (0-114): "))
    name = input("Name: ")
    return(age,name)

def calculateTax(income,deductions):
    taxableIncome = income - deductions
    tax = taxableIncome * TAX_RATE
    afterTaxIncome = income - tax
    return(taxableIncome,tax,afterTaxIncome)

def processPersonalInformation():
    # Call getPersonalInformation() & actOnPersonalInformation() here
    pass

def processTaxes():
    # Call getFinancialData(), calculateTax() & displayTaxInformation() here
    pass

def start():
    processPersonalInformation()
    processTaxes()



start()
